Subject: Re: bug#20872: 24.5; add-face-text-property doesn't work for :height

From: Stefan Monnier <[email-masked]>
Date: Mon, 22 Jun 2015 12:06:35 -0400

>     (add-face-text-property 0 (length asdf) '(:height 1.0) nil asdf)

":height 1.0" means "multiply the height by 1", i.e. it's a no-op.

> minibuffer. In that case, I want to keep all face properties, except the
> height. Since extra height messes up the trimming of strings to
> `window-width'.

You can try to set :height to the *integer* pixel height of the
minibuffer lines.

        Stefan